Bug 535764 - (RHQ-2426) exception when clicking on group member with limited privileges
exception when clicking on group member with limited privileges
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.3
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2009-09-15 12:19 EDT by Marc Shirley
Modified: 2013-09-02 03:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JBoss EAP 4.3.0.GA_CP06 default
Last Closed: 2013-09-02 03:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
RHQ-2426_stackTrace.txt (14.46 KB, text/plain)
2009-09-15 12:20 EDT, Marc Shirley
no flags Details

  None (edit)
Description Marc Shirley 2009-09-15 12:19:00 EDT
1)set up user with measure privileges for group of eap servers.   2) logged in as user and clicked on component eap server  3) received attached stack trace

Comment 1 Marc Shirley 2009-09-15 12:20:45 EDT
stack trace
Comment 2 Marc Shirley 2009-09-15 12:33:09 EDT
Further investigation reveals this is a result of trying to select a parent of a viewable resource.  For instance, for "server.domain JBoss EAP 4.3.0.GA_CP06 default", clicking on the parent, "server.domain", vm resource link, the stack trace is generated.  The user has no privileges to view the parent resource.  The parent resource link is viewable in the group view of the privileged group.

Note, the initial test case created a group of "JBoss AS JVM" resources, in which the eap server was the parent.
Comment 3 Red Hat Bugzilla 2009-11-10 16:04:14 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2426
Imported an attachment (id=368797)
Comment 4 wes hayutin 2010-02-16 11:59:12 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 12:04:00 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Joseph Marques 2010-10-05 12:52:59 EDT
jay, this bug deals with authz in the tree and locked nodes.  can you confirm this doesn't happen with the new GWT implementation of the tree?
Comment 7 Jay Shaughnessy 2011-02-11 17:26:57 EST
Should be fixed.
Comment 8 Sunil Kondkar 2011-06-16 05:45:15 EDT
Verified on build#140 (Version: 4.1.0-SNAPSHOT Build Number: 5905b70)

Created a group of JBoss As JVM resources, created a user. Created a role with measure privileges and assigned the group of JBoss As JVM resources and the user created to the role.

Logged in as the user and navigated to the JBoss As JVM resource group. Verified that the parent resource link (JBoss As Servers) is not viewable in the group view.

Marking as verified.
Comment 9 Heiko W. Rupp 2013-09-02 03:27:44 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.